[Pamac] Pamac ne se lance plus

Mise à jour / Création /debug de paquetages
Répondre
Titee52
Hankyu
Messages : 20
Inscription : jeu. 20 mars 2014, 07:58

[Pamac] Pamac ne se lance plus

Message par Titee52 »

Bonjour,

Merci de me lire.

Depuis la dernière mise à jour qui a dû mettre à jour "pacman" (ou "libalpm.so") le paquet "pamac" refuse de se lancer et j'obtiens l'erreur suivante :

Code : Tout sélectionner

$ pamac
pamac: error while loading shared libraries: libalpm.so.12: cannot open shared object file: No such file or directory
Déjà la mise à jour m'avait indiqué que yay-bin et libalpm.so étaient en conflit et que je devais accepter la désinstallation de yay-bin.

J'aimerais savoir ce que je dois faire pour retrouver "pamac".

Merci à tous pour votre aide.
benjarobin
Maître du Kyudo
Messages : 16205
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [Pamac] Pamac ne se lance plus

Message par benjarobin »

Bonjour,
Normalement il te suffit de mettre à jour / recompiler le paquet fournissant pamac
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)
Titee52
Hankyu
Messages : 20
Inscription : jeu. 20 mars 2014, 07:58

Re: [Pamac] Pamac ne se lance plus

Message par Titee52 »

Merci pour ta réponse.

Le problème est que le paquet "package-query" ne fonctionne plus non plus :

Code : Tout sélectionner

$ yaourt -S pamac-aur
package-query: error while loading shared libraries: libalpm.so.12: cannot open shared object file: No such file or directory
package-query: error while loading shared libraries: libalpm.so.12: cannot open shared object file: No such file or directory
avertissement : fichier de configuration /etc/pacman.conf, ligne 38 : l’instruction « TotalDownload » dans la section « options » n’est pas valide.
erreur : impossible de trouver la cible : pamac-aur
J'ai rencontré ce problème il y a un an et demi et l'avais posté sur ce forum (viewtopic.php?f=13&t=21576)

J'ai refait la procédure proposée que j'avais faite à l'époque et qui avait fonctionné (téléchargement de pamac-aur et installation via "makepkg -si") mais aujourd'hui le es paquets "package-query" et "pamac-aur" refusent de s'installer :
pour "package-query" j'ai l'erreur suivante :

Code : Tout sélectionner

make[1] : on quitte le répertoire « /home/thierry/Téléchargements/AUR/package-query/src/package-query-1.11 »
make: *** [Makefile:341 : all] Erreur 2
==> ERREUR : Une erreur s’est produite dans build().
    Abandon…
et pour "pamac-aur" :

Code : Tout sélectionner

Compilation succeeded - 9 warning(s)
ninja: build stopped: subcommand failed.
==> ERREUR : Une erreur s’est produite dans build().
    Abandon…
Je ne sais pas quoi faire.

Merci pour votre aide.
Avatar de l’utilisateur
papajoke
Elfe
Messages : 621
Inscription : sam. 30 août 2014, 19:54
Contact :

Re: [Pamac] Pamac ne se lance plus

Message par papajoke »

bonjour

c'est différent cette fois, pas de recompilation "miracle" possible ici :oops:
Simplement pamac n'est pas encore écrit pour pacman 6 (même la version git), il bloque sur la nouvelle api alpm. Il faut donc juste l'oublier pour un moment
Guillaume, le développeur français a écrit :The port to libalpm 13 is not trivial and I don't have a time ATM to do it. Be patient.
ps: il est temps d'oublier yaourt :roll:
Arch stable - Kde 5 / zsh - btrfs/mbr - Intel Core i3 - 6Go RAM - GeForce 405 video-nouveau
jimarch
archer de cavalerie
Messages : 176
Inscription : mer. 26 déc. 2012, 20:38
Localisation : La Roche sur Yon - 85000

Re: [Pamac] Pamac ne se lance plus

Message par jimarch »

Peut-être à côté de ta demande, mais cela peut peut peut-être t'aider.
j'avais le même problème avec YAY après la mise à jour de pacman ce jour, avec le message :
error while loading shared libraries: libalpm.so.12: cannot open shared object file: No such file or directory
Vu ce jour, sur :
https://aur.archlinux.org/packages/yay/
With pacman 6 arriving a rebuild of yay will be necessary, if you upgrade pacman without upgrading yay at the same time, yay will not run after. I'm bumping the pkgrel so it shows up on the upgrade list (and will do so when pacman transitions from staging->core)

In case you end up with a non-functioning yay after the upgrade:

$ pacman -S --needed git base-devel
$ git clone https://aur.archlinux.org/yay.git
$ cd yay
$ makepkg -si
J'ai suivi ces instructions, sans utiliser la première ($ pacman -S --needed git base-devel)
Avec ça, ça marche ! Au moins pour mettre à jour YAY
Fixe : AMD Ryzen 5 2600X Six-Core Processor | 15,6 Gio de mémoire vive | GeForce GTX 1650 SUPER/PCIe/SSE2
Portable : Plasma - Kde | Notebook Clevo W740SU | Plateforme Intel Haswell avec Intel Core i7-4750HQ | Intel Iris Pro graphics 5200
Sauvegardes quotidiennes de mes système et données par BORG
Titee52
Hankyu
Messages : 20
Inscription : jeu. 20 mars 2014, 07:58

Re: [Pamac] Pamac ne se lance plus

Message par Titee52 »

Merci pour ta réponse.

Il y a t-il une manière de rendre "package-query" fonctionnel en l'état actuel de la situation ?

(à propos je n'ai pas d'alternative à yaourt (qui fonctionne pour mettre à jour) dans la mesure où yay-bin a été désinstallé car en conflit avec libalpm).

Merci pour vos réponses.

[EDIT]
Merci, j'ai réussi à mettre à jour yay qui semble fonctionner y compris pour la recherche de paquets, par contre" package-query" ne fonctionne toujours pas avec "yaourt".
Dernière modification par Titee52 le mar. 01 juin 2021, 22:36, modifié 1 fois.
jimarch
archer de cavalerie
Messages : 176
Inscription : mer. 26 déc. 2012, 20:38
Localisation : La Roche sur Yon - 85000

Re: [Pamac] Pamac ne se lance plus

Message par jimarch »

mais pourquoi ne pas utiliser YAY et non yay-bin tout simplement ?
Fixe : AMD Ryzen 5 2600X Six-Core Processor | 15,6 Gio de mémoire vive | GeForce GTX 1650 SUPER/PCIe/SSE2
Portable : Plasma - Kde | Notebook Clevo W740SU | Plateforme Intel Haswell avec Intel Core i7-4750HQ | Intel Iris Pro graphics 5200
Sauvegardes quotidiennes de mes système et données par BORG
Titee52
Hankyu
Messages : 20
Inscription : jeu. 20 mars 2014, 07:58

Re: [Pamac] Pamac ne se lance plus

Message par Titee52 »

C'est bon j'ai installé "yay" selon la méthode décrite plus haut et il fonctionne.
Par contre ce n'est pas le cas pour "pamac" et "package-query".

Merci à tous pour vos réponses.
benjarobin
Maître du Kyudo
Messages : 16205
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [Pamac] Pamac ne se lance plus

Message par benjarobin »

Pour package-query quelqu'un à déjà fait le travail apparemment : https://github.com/archlinuxfr/package-query/pull/150, donc il faut compiler la version git de cette pull request. Mais je considère le développement de package-query plus ou moins mort et on ne devrait plus trop l'utilisé, bien que très pratique pour certaines choses.

Pour pamac en gros c'est plus compliqué : https://gitlab.manjaro.org/applications ... note_22000
Le développeur de pamac n'a absolument rien anticipé, alors que pacman 6 est annoncé et peut être testé depuis de nombreux mois...

Bref, j'ai personnellement migré depuis longtemps vers Yay dont le développement est actif
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)
mozzi
Hankyu
Messages : 14
Inscription : jeu. 19 sept. 2019, 19:53

Re: [Pamac] Pamac ne se lance plus

Message par mozzi »

Je me demande si ce n'est pas en corrélation avec mon pb : je ne peux pas utiliser pacman en version 6.0.0-2 avec packagekit 1.2.3-4 car pacman doit être en version 5.2.2.-4.
J'ai downgradé pacman en version 5.2.2.-4 et packagekit 1.1.12-1
benjarobin
Maître du Kyudo
Messages : 16205
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [Pamac] Pamac ne se lance plus

Message par benjarobin »

Euh, étrange... Car packagekit 1.2.3-4 requière pacman>=6.0.0.
Je te conseil de mettre intégralement ton système à jour, et nous indiquer plus en détail ce qui ne fonctionne pas
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)
Répondre